org.apache.avro.path

## Class UnionTypePredicate

- java.lang.Object
- - org.apache.avro.path.UnionTypePredicate

- All Implemented Interfaces:
    PathElement, PathPredicate, PositionalPathPredicate

      public class UnionTypePredicate
      extends Object
      implements PositionalPathPredicate

  Returns items by their position (numeric index of type) in a union schema

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnionTypePredicate(String type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionTypePredicate

          public UnionTypePredicate(String type)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.